Bug 204277 - [exp-run] [patch] update www/firefox to 42.0
Summary: [exp-run] [patch] update www/firefox to 42.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL:
Keywords: patch
Depends on:
Blocks: 204332
  Show dependency treegraph
 
Reported: 2015-11-04 06:04 UTC by Steve Wills
Modified: 2015-11-24 01:18 UTC (History)
5 users (show)

See Also:
jbeich: maintainer-feedback+


Attachments
firefox 42 patch (157.34 KB, patch)
2015-11-04 06:04 UTC, Steve Wills
no flags Details | Diff
update Mk/Uses/gecko.mk to reflect firefox update (700 bytes, patch)
2015-11-04 08:41 UTC, Christoph Moench-Tegeder
no flags Details | Diff
fix build failure in nsLibProxySettings.cpp (322 bytes, patch)
2015-11-04 08:45 UTC, Christoph Moench-Tegeder
no flags Details | Diff
take 2 for the firefox 42 update (149.97 KB, patch)
2015-11-04 11:47 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere testport log (210.20 KB, application/octet-stream)
2015-11-04 11:48 UTC, Christoph Moench-Tegeder
no flags Details
again, with nspr dependency bumped (150.33 KB, patch)
2015-11-04 11:52 UTC, Christoph Moench-Tegeder
no flags Details | Diff
firefox 42 patch take 2 (49.78 KB, patch)
2015-11-04 16:44 UTC, Steve Wills
no flags Details | Diff
firefox 42 patch take 3 (48.30 KB, patch)
2015-11-04 18:51 UTC, Steve Wills
no flags Details | Diff
firefox 42 take 4 (157.98 KB, patch)
2015-11-04 19:50 UTC, Steve Wills
no flags Details | Diff
firefox 42, with nspr re-added (157.98 KB, patch)
2015-11-04 19:51 UTC, Christoph Moench-Tegeder
no flags Details | Diff
firefox 42 and nspr 4.10.10, next take (123.60 KB, patch)
2015-11-15 00:12 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2015-11-04 06:04:52 UTC
Created attachment 162759 [details]
firefox 42 patch

See attached patch. Since this touches devel/nspr, I may request an exp-run on it.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2015-11-04 08:41:57 UTC
Created attachment 162760 [details]
update Mk/Uses/gecko.mk to reflect firefox update

While you beat me with the update itself, your patch is missing the update on gecko.mk - add this to your patch.
Comment 2 Christoph Moench-Tegeder freebsd_committer 2015-11-04 08:45:16 UTC
Created attachment 162761 [details]
fix build failure in nsLibProxySettings.cpp

on (at least) 10.2, the build fails on
/usr/ports/www/firefox/work/firefox-42.0/toolkit/system/unixproxy/nsLibProxySettings.cpp:129:5: error:
      use of undeclared identifier 'NS_SYSTEMPROXYSETTINGS_CONTRACTID'
  { NS_SYSTEMPROXYSETTINGS_CONTRACTID, &kNS_UNIXSYSTEMPROXYSERVICE_CID },

Including nsNetCID.h (where NS_SYSTEMPROXYSETTINGS_CONTRACTID is defined) fixes this.
Please drop the attached file in www/firefox/files/
Comment 3 Antoine Brodin freebsd_committer 2015-11-04 08:54:40 UTC
Don't Mk/Uses/gecko.mk and USES in www/firefox-i18n/Makefile need updating too?
Comment 4 Antoine Brodin freebsd_committer 2015-11-04 08:56:21 UTC
Please provide a patch combining all the changes for the exp-run
Comment 5 Christoph Moench-Tegeder freebsd_committer 2015-11-04 09:03:16 UTC
(In reply to Antoine Brodin from comment #3)
right - I already provided the gecko.mk change, but I missed the USES, too.

(In reply to Antoine Brodin from comment #4)
I'm seeing linker errors related to soundtouch symbols (this is 10.2 again):
../../dom/media/Unified_cpp_dom_media0.o: In function `mozilla::AudioStream::EnsureTimeStretcherInitializedUnlocked()':
/usr/ports/www/firefox/work/firefox-42.0/obj-x86_64-portbld-freebsd10.2/dom/media/Unified_cpp_dom_media0.cpp:(.text._ZN7mozilla11AudioStream38EnsureTimeStretcherInitializedUnlockedEv+0x24): undefined reference to `soundtouch::SoundTouch::SoundTouch()'
/usr/bin/ld: ../../dom/media/Unified_cpp_dom_media0.o: relocation R_X86_64_PC32 against `_ZN10soundtouch10SoundTouchC1Ev' can not be used when making a shared object; recompile with -fPIC
/usr/bin/ld: final link failed: Bad value

I'll update the patch once this is resolved (I believe there's no need in having an exp-run until firefox builds).
Comment 6 Christoph Moench-Tegeder freebsd_committer 2015-11-04 11:47:30 UTC
Created attachment 162766 [details]
take 2 for the firefox 42 update

This contains the fixes discussed above (I cannot supersede swills' attachment in bugzilla, so...).
Please note deleted file www/firefox/files/patch-bug1181382 (that was also removed in the original patch).

This builds ok in poudriere on 10.2 amd64 with default options, log coming up next.
The linker failure reported above looks like local system contamination - it's still here when I compile in-system (independent of options set), but is not reproducable in poudriere. (I'm currently having a testport run with my local options, in case that helps me find something).
Comment 7 Christoph Moench-Tegeder freebsd_committer 2015-11-04 11:48:39 UTC
Created attachment 162767 [details]
poudriere testport log
Comment 8 Christoph Moench-Tegeder freebsd_committer 2015-11-04 11:52:52 UTC
Created attachment 162768 [details]
again, with nspr dependency bumped

as firefox' configure stage will fail if the old nspr is still installed, I bumped the nspr dependency explicitly. No other changes.
Comment 9 Antoine Brodin freebsd_committer 2015-11-04 16:02:53 UTC
firefox fails to configure,  see failure log at:

http://package18.nyi.freebsd.org/data/102amd64-default-PR204277/2015-11-04_13h14m56s/logs/errors/firefox-42.0,1.log
Comment 10 Steve Wills freebsd_committer 2015-11-04 16:44:29 UTC
Created attachment 162779 [details]
firefox 42 patch take 2

Thanks for the fixes. I think this should have everything and fix the configure error Antoine hit. Let me know if I missed anything.

Note that I tested a version built with my original patch and got issues with it not reading the session file on startup and core dump on quit, but will test again with this version once it builds. (Also it was built on a different version of CURRENT than I was running on when I tested, so we'll see...)
Comment 11 Steve Wills freebsd_committer 2015-11-04 18:51:02 UTC
Created attachment 162786 [details]
firefox 42 patch take 3

I found it, I messed up the patch to files/patch-bug981348 and dropped two parts of it. Fixed in this version.
Comment 12 Antoine Brodin freebsd_committer 2015-11-04 19:38:14 UTC
it seems the nspr part was lost
Comment 13 Steve Wills freebsd_committer 2015-11-04 19:50:37 UTC
Created attachment 162789 [details]
firefox 42 take 4

Same as take 3 but with devel/nspr change included
Comment 14 Christoph Moench-Tegeder freebsd_committer 2015-11-04 19:51:16 UTC
Created attachment 162790 [details]
firefox 42, with nspr re-added

here it is (poudriere had just failed on that, re-running)
Comment 15 Christoph Moench-Tegeder freebsd_committer 2015-11-04 19:52:37 UTC
Comment on attachment 162790 [details]
firefox 42, with nspr re-added

let's take yours. difficult enough to track oine patch set.
Comment 16 Antoine Brodin freebsd_committer 2015-11-05 21:45:57 UTC
I see no new failure on 9.3i386 and 10.2amd64.

Is this change normal?
+		libav>0:${PORTSDIR}/multimedia/libav
...
+		--enable-official-branding --with-system-av

The build seems to use the bundled version, not the one from ports
Comment 17 Antoine Brodin freebsd_committer 2015-11-05 21:58:31 UTC
build log is at http://package18.nyi.freebsd.org/data/102amd64-default-PR204277/2015-11-04_20h01m03s/logs/firefox-42.0,1.log ,  I see nothing in it showing that it uses libav from ports
Comment 18 Jan Beich freebsd_committer 2015-11-06 11:04:30 UTC
Comment on attachment 162789 [details]
firefox 42 take 4

> Index: www/firefox/Makefile
[...]
> -BUILD_DEPENDS=	nspr>=4.10.8:${PORTSDIR}/devel/nspr \
> +BUILD_DEPENDS=	nspr>=4.10.10:${PORTSDIR}/devel/nspr \

I think you need to update security/nss as well per MFSA 2015-133. configure doesn't complain because Firefox 42.0 still bundles NSS 3.19.x.

https://www.mozilla.org/en-US/security/advisories/mfsa2015-133/
https://hg.mozilla.org/releases/mozilla-release/rev/a01cadb2a94d

> +		libav>0:${PORTSDIR}/multimedia/libav

Why libav and not ffmpeg? Both provide avfft.h. See below why it's not actually used.

> +		--enable-official-branding --with-system-av

--with-system-av is neither implemented upstream nor as a patch in the port. patch-bug847568 can be used as an example.

> Index: www/firefox/files/patch-bug779713
[...]
>-+#if defined(MOZ_HAVE_CXX11_ALIGNAS)
>-+#define MOZ_ALIGNOF(T) alignof(T)
>-+#elif defined(__GNUC__)
>-+#define MOZ_ALIGNOF(T) __alignof__(T)
>-+#elif defined(_MSC_VER)
>-+#define MOZ_ALIGNOF(T) __alignof(T)
>-+#else

Together with patch-bug1026499 it was a part of sparc64 crashfix. Here's another take on the rebase:
http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/www/firefox/patches/patch-mfbt_Alignment.h.diff?r1=1.2&r2=1.3
http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/www/firefox/patches/patch-mfbt_Attributes.h.diff?r1=1.5&r2=1.6

>Index: www/firefox/files/patch-memory-jemalloc-Makefile.in
[...]
>++include $(topsrcdir)/config/config.mk
>++ 
> +# XXX startup crash workaround for gcc47 on amd64
> +jemalloc.$(OBJ_SUFFIX): OS_CFLAGS := $(filter-out -O3 -Ofast,$(OS_CFLAGS))
> +jemalloc.$(OBJ_SUFFIX): MOZ_OPTIMIZE_FLAGS=

This no longer works since Firefox 40 started to use UNIFIED_SOURCES in memory/jemalloc/moz.build. As lang/gcc nowadays provides gcc48 you can probably drop the hack after testing runtime on FreeBSD 9.3R amd64.

>Index: www/firefox/files/patch-noyasm
>===================================================================
>--- www/firefox/files/patch-noyasm	(revision 0)
>+++ www/firefox/files/patch-noyasm	(working copy)

If you're trying to force build to use system libavcodec/avfft.h the name of the patchfile is misleading. And this'd likely cause linking errors as nothing passes -lavcodec.

>+-if test -n "$MOZ_LIBAV_FFT"; then
>+-  AC_DEFINE(MOZ_LIBAV_FFT)

Dropping AC_DEFINE disables both bundled and system avfft.h usage. So, you no longer need libavcodec during build.

https://dxr.mozilla.org/mozilla-central/rev/cc48981c026c/dom/media/webaudio/FFTBlock.h#18

>Index: devel/nspr/files/patch-tests
>===================================================================
>--- devel/nspr/files/patch-tests	(revision 400595)
>+++ devel/nspr/files/patch-tests	(working copy)

It's hard to see what changed among the cosmetic noise:
- some files within are sorted e.g., ../lib/tests/Makefile.in
- new timestamps but still not in |make makepatch| format
- updated offsets and context lines

Have you tried to run |make test| before/after ? If you're *not* trying to maintain the patch better split the changes into a separate commit. Otherwise, those reading |svn log| or |svn blame| may find it confusing if tied to the specific update.
Comment 19 Christoph Moench-Tegeder freebsd_committer 2015-11-06 12:52:01 UTC
(In reply to Jan Beich from comment #18)
Thanks for pointing out nss - I only checked that on their "official"(?) Releases page. To avoid bloating these patches, I've created a new PR.
Comment 20 Christoph Moench-Tegeder freebsd_committer 2015-11-15 00:12:17 UTC
Created attachment 163129 [details]
firefox 42 and nspr 4.10.10, next take

I've addressed the libav and "noyasm" issues: instead of trying to circumvent the bundled libav and depend on an external libav, I decided to stick with the bundled one and build-depend on yasm for that (unbundled turned out to be... di9fficult, in this case).
I also removed patch-memory-jemalloc-Makefile.in - firefox seems to survive in a 9.3 VM.
I did not touch the nspr part - @swills, any comment on that?
Comment 21 commit-hook freebsd_committer 2015-11-20 00:39:06 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov 20 00:38:43 UTC 2015
New revision: 401981
URL: https://svnweb.freebsd.org/changeset/ports/401981

Log:
  gecko: catch up with 2015-11-03 release train

  - Update NSPR to 4.10.10 [1]
  - Update NSS to 3.20.1 [2]
  - Update Firefox ESR and libxul to 38.4.0
  - Update Firefox to 42.0 [2]
  - Update SeaMonkey to 2.39

  Changes:	http://mozilla.6506.n7.nabble.com/ANNOUNCE-NSPR-4-10-10-Release-td346822.html
  Changes:	https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/NSS_3.20.1_release_notes
  Changes:	https://www.mozilla.org/en-US/firefox/42.0/releasenotes/
  Changes:	http://www.seamonkey-project.org/news#2015-11-08
  PR:		204277 [1], 204332 [2], 203099
  Submitted by:	swills, Christoph Moench-Tegeder
  MFH:		2015Q4
  Security:	9d04936c-75f1-4a2c-9ade-4c1708be5df9

Changes:
  head/Mk/Uses/gecko.mk
  head/devel/nspr/Makefile
  head/devel/nspr/distinfo
  head/security/ca_root_nss/Makefile
  head/security/ca_root_nss/distinfo
  head/security/nss/Makefile
  head/security/nss/distinfo
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1181382
  head/www/firefox/files/patch-bug702179
  head/www/firefox/files/patch-bug779713
  head/www/firefox/files/patch-bug981348
  head/www/firefox/files/patch-media_libav_config__unix.h
  head/www/firefox/files/patch-memory-jemalloc-Makefile.in
  head/www/firefox/files/patch-soundtouch-no-factory
  head/www/firefox/files/patch-toolkit_system_unixproxy_nsLibProxySettings.cpp
  head/www/firefox/files/patch-z-bug517422
  head/www/firefox-esr/Makefile
  head/www/firefox-esr/distinfo
  head/www/firefox-esr-i18n/Makefile
  head/www/firefox-esr-i18n/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
  head/www/libxul/Makefile
  head/www/libxul/distinfo
  head/www/linux-firefox/Makefile
  head/www/linux-firefox/distinfo
  head/www/linux-firefox/pkg-plist
  head/www/linux-seamonkey/Makefile
  head/www/linux-seamonkey/distinfo
  head/www/linux-seamonkey/pkg-plist
  head/www/seamonkey/Makefile
  head/www/seamonkey/distinfo
  head/www/seamonkey/files/extra-patch-bug1125514
  head/www/seamonkey/files/patch-bug1021761
  head/www/seamonkey/files/patch-bug1103858
  head/www/seamonkey/files/patch-bug1112904
  head/www/seamonkey/files/patch-bug1122547
  head/www/seamonkey/files/patch-bug1125579
  head/www/seamonkey/files/patch-bug1125580
  head/www/seamonkey/files/patch-bug1128161
  head/www/seamonkey/files/patch-bug1143411
  head/www/seamonkey/files/patch-bug292127
  head/www/seamonkey/files/patch-bug702179
  head/www/seamonkey/files/patch-bug779713
  head/www/seamonkey/files/patch-bug826985
  head/www/seamonkey/files/patch-bug847568
  head/www/seamonkey/files/patch-bug899126
  head/www/seamonkey/files/patch-bug981348
  head/www/seamonkey/files/patch-build-pgo-profileserver.py
  head/www/seamonkey/files/patch-config-baseconfig.mk
  head/www/seamonkey/files/patch-ijg-libjpeg
  head/www/seamonkey/files/patch-ldap_ldap-sdk.mozbuild
  head/www/seamonkey/files/patch-media-libstagefright-foundation-AString.cpp
  head/www/seamonkey/files/patch-media-mtransport-third_party-nICEr-src-util-mbslen.c
  head/www/seamonkey/files/patch-media-webrtc-trunk-src-system_wrappers-source-spreadsortlib-spreadsort.hpp
  head/www/seamonkey/files/patch-media_libav_config__unix.h
  head/www/seamonkey/files/patch-modules-libpref-init-all.js
  head/www/seamonkey/files/patch-mozilla-config-baseconfig.mk
  head/www/seamonkey/files/patch-mozilla-media-libstagefright-foundation-AString.cpp
  head/www/seamonkey/files/patch-mozilla-media-mtransport-third_party-nICEr-src-util-mbslen.c
  head/www/seamonkey/files/patch-mozilla-media-webrtc-trunk-src-system_wrappers-source-spreadsortlib-spreadsort.hpp
  head/www/seamonkey/files/patch-mozilla-memory-jemalloc-Makefile.in
  head/www/seamonkey/files/patch-mozilla-memory-jemalloc-configure.ac
  head/www/seamonkey/files/patch-mozilla_toolkit_mozapps_installer_packager_mk
  head/www/seamonkey/files/patch-soundtouch-no-factory
  head/www/seamonkey/files/patch-suite-app-nsSuiteApp.cpp
  head/www/seamonkey/files/patch-toolkit_mozapps_installer_packager_mk
  head/www/seamonkey/files/patch-toolkit_system_unixproxy_nsLibProxySettings.cpp
  head/www/seamonkey/files/patch-z-bug517422
  head/www/seamonkey-i18n/Makefile
  head/www/seamonkey-i18n/distinfo
Comment 22 Jan Beich freebsd_committer 2015-11-20 01:04:45 UTC
swills@ didn't last long, and attachment 163129 [details] had more issues (e.g. patch-bug1026499 rebase, junk in nspr diff, jemalloc vs. mozjemalloc)... Sorry, the current state of gecko ports is too sad before one can offer a proper review. And I can't refactor it into more pleasing shape as Q/A on my >7 years old hardware would be a torture.
Comment 23 commit-hook freebsd_committer 2015-11-24 01:18:49 UTC
A commit references this bug:

Author: jbeich
Date: Tue Nov 24 01:18:24 UTC 2015
New revision: 402340
URL: https://svnweb.freebsd.org/changeset/ports/402340

Log:
  MFH: r401981, r402196

  gecko: catch up with 2015-11-03 release train

  - Update NSPR to 4.10.10 [1]
  - Update NSS to 3.20.1 [2]
  - Update Firefox ESR and libxul to 38.4.0
  - Update Firefox to 42.0 [2]
  - Update SeaMonkey to 2.39

  Changes:	http://mozilla.6506.n7.nabble.com/ANNOUNCE-NSPR-4-10-10-Release-td346822.html
  Changes:	https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/NSS_3.20.1_release_notes
  Changes:	https://www.mozilla.org/en-US/firefox/42.0/releasenotes/
  Changes:	http://www.seamonkey-project.org/news#2015-11-08
  PR:		204277 [1], 204332 [2], 203099
  Submitted by:	swills, Christoph Moench-Tegeder
  Security:	9d04936c-75f1-4a2c-9ade-4c1708be5df9
  Approved by:	ports-secteam (feld), portmgr (erwin)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/Mk/Uses/gecko.mk
  branches/2015Q4/devel/nspr/Makefile
  branches/2015Q4/devel/nspr/distinfo
  branches/2015Q4/security/ca_root_nss/Makefile
  branches/2015Q4/security/ca_root_nss/distinfo
  branches/2015Q4/security/nss/Makefile
  branches/2015Q4/security/nss/distinfo
  branches/2015Q4/www/firefox/Makefile
  branches/2015Q4/www/firefox/distinfo
  branches/2015Q4/www/firefox/files/patch-bug1181382
  branches/2015Q4/www/firefox/files/patch-bug702179
  branches/2015Q4/www/firefox/files/patch-bug779713
  branches/2015Q4/www/firefox/files/patch-bug981348
  branches/2015Q4/www/firefox/files/patch-media_libav_config__unix.h
  branches/2015Q4/www/firefox/files/patch-memory-jemalloc-Makefile.in
  branches/2015Q4/www/firefox/files/patch-soundtouch-no-factory
  branches/2015Q4/www/firefox/files/patch-toolkit_system_unixproxy_nsLibProxySettings.cpp
  branches/2015Q4/www/firefox/files/patch-z-bug517422
  branches/2015Q4/www/firefox-esr/Makefile
  branches/2015Q4/www/firefox-esr/distinfo
  branches/2015Q4/www/firefox-esr-i18n/Makefile
  branches/2015Q4/www/firefox-esr-i18n/distinfo
  branches/2015Q4/www/firefox-i18n/Makefile
  branches/2015Q4/www/firefox-i18n/distinfo
  branches/2015Q4/www/libxul/Makefile
  branches/2015Q4/www/libxul/distinfo
  branches/2015Q4/www/linux-firefox/Makefile
  branches/2015Q4/www/linux-firefox/distinfo
  branches/2015Q4/www/linux-firefox/pkg-plist
  branches/2015Q4/www/linux-seamonkey/Makefile
  branches/2015Q4/www/linux-seamonkey/distinfo
  branches/2015Q4/www/linux-seamonkey/pkg-plist
  branches/2015Q4/www/seamonkey/Makefile
  branches/2015Q4/www/seamonkey/distinfo
  branches/2015Q4/www/seamonkey/files/extra-patch-bug1125514
  branches/2015Q4/www/seamonkey/files/patch-bug1021761
  branches/2015Q4/www/seamonkey/files/patch-bug1103858
  branches/2015Q4/www/seamonkey/files/patch-bug1112904
  branches/2015Q4/www/seamonkey/files/patch-bug1122547
  branches/2015Q4/www/seamonkey/files/patch-bug1125579
  branches/2015Q4/www/seamonkey/files/patch-bug1125580
  branches/2015Q4/www/seamonkey/files/patch-bug1128161
  branches/2015Q4/www/seamonkey/files/patch-bug1143411
  branches/2015Q4/www/seamonkey/files/patch-bug292127
  branches/2015Q4/www/seamonkey/files/patch-bug702179
  branches/2015Q4/www/seamonkey/files/patch-bug779713
  branches/2015Q4/www/seamonkey/files/patch-bug826985
  branches/2015Q4/www/seamonkey/files/patch-bug847568
  branches/2015Q4/www/seamonkey/files/patch-bug899126
  branches/2015Q4/www/seamonkey/files/patch-bug981348
  branches/2015Q4/www/seamonkey/files/patch-build-pgo-profileserver.py
  branches/2015Q4/www/seamonkey/files/patch-config-baseconfig.mk
  branches/2015Q4/www/seamonkey/files/patch-ijg-libjpeg
  branches/2015Q4/www/seamonkey/files/patch-ldap_ldap-sdk.mozbuild
  branches/2015Q4/www/seamonkey/files/patch-media-libstagefright-foundation-AString.cpp
  branches/2015Q4/www/seamonkey/files/patch-media-mtransport-third_party-nICEr-src-util-mbslen.c
  branches/2015Q4/www/seamonkey/files/patch-media-webrtc-trunk-src-system_wrappers-source-spreadsortlib-spreadsort.hpp
  branches/2015Q4/www/seamonkey/files/patch-media_libav_config__unix.h
  branches/2015Q4/www/seamonkey/files/patch-modules-libpref-init-all.js
  branches/2015Q4/www/seamonkey/files/patch-mozilla-config-baseconfig.mk
  branches/2015Q4/www/seamonkey/files/patch-mozilla-media-libstagefright-foundation-AString.cpp
  branches/2015Q4/www/seamonkey/files/patch-mozilla-media-mtransport-third_party-nICEr-src-util-mbslen.c
  branches/2015Q4/www/seamonkey/files/patch-mozilla-media-webrtc-trunk-src-system_wrappers-source-spreadsortlib-spreadsort.hpp
  branches/2015Q4/www/seamonkey/files/patch-mozilla-memory-jemalloc-Makefile.in
  branches/2015Q4/www/seamonkey/files/patch-mozilla-memory-jemalloc-configure.ac
  branches/2015Q4/www/seamonkey/files/patch-mozilla_toolkit_mozapps_installer_packager_mk
  branches/2015Q4/www/seamonkey/files/patch-soundtouch-no-factory
  branches/2015Q4/www/seamonkey/files/patch-suite-app-nsSuiteApp.cpp
  branches/2015Q4/www/seamonkey/files/patch-toolkit_mozapps_installer_packager_mk
  branches/2015Q4/www/seamonkey/files/patch-toolkit_system_unixproxy_nsLibProxySettings.cpp
  branches/2015Q4/www/seamonkey/files/patch-z-bug517422
  branches/2015Q4/www/seamonkey-i18n/Makefile
  branches/2015Q4/www/seamonkey-i18n/distinfo